Description

Information not requiring immediate user interaction should not be displayed as pop-up (modal) dialogs, but in a separate panel. The

former interrupts the user's workflow.

cf. KDE & Windows human interface guidelines.

History

#1 - 2012-04-17 04:32 AM - Paolo Cavallini

- Category set to 68

#2 - 2012-04-17 09:02 AM - Victor Olaya

you mean the multiple selection dialog or the fixed table dialog? They could be added to the parameters dialog somehow...

#3 - 2012-04-23 03:59 AM - Camilo Polymeris

Those too, perhaps, but I meant stuff like failure messages. E.g. if a parameter is missing, no dialog should pop up, but a message displayed in a

panel/statusbar and the missing parameters highlighted.

This brings us to a related issue: I think, there should be more subclasses of GeoAlgorithmExcecutionException (if there are, where?) to better describe

what went wrong (missing parameter, value out of bounds, unsupported format, etc.), so that the GUI may react accordingly, informing the user.

#4 - 2012-06-01 05:06 AM - Paolo Cavallini

- Assignee set to Victor Olaya

#5 - 2012-08-10 02:24 AM - Camilo Polymeris

- File 14.png added

Ok. I have implemented something like I imagined. See attachment. Also errors are just shown in the log (in red): no more popups.

What's your opinion?

#6 - 2013-10-15 08:12 AM - Filipe Dias

This is would be very useful I think.

#7 - 2014-10-04 12:12 PM - Giovanni Manghi

- Project changed from 78 to QGIS Application
- Category deleted (68)

#8 - 2014-10-04 12:12 PM - Giovanni Manghi

- Category set to Processing/GUI

#9 - 2014-11-22 03:08 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Seems can be closed now. Reopen if necessary
